---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/projects/get-project-queues.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Getting a list of project queues

Use this request to get a list of queues whose issues are included in a [project](https://yandex.com.tr/support/tracker/en/manager/project-new.md).

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/projects/&lt;project_ID>/queues</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get a list of project queues, use an HTTP `GET` request:

```
GET /v3/projects/<project_ID>/queues
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<project_ID> | Project ID | Number |

{% endcut %}


{% cut "Request parameters" %}

**Additional parameters**

| Parameter | Description | Data type |
-------- | -------- | ----------
| expand | Additional fields to include in the response If there are multiple queues in the project, parameters are displayed for each queue:<ul><li>`all`: All queue parameters.</li><li>`projects`: All organization projects.</li><li>`components`: Queue components.</li><li>`versions`: Queue versions.</li><li>`types`: Queue issue types.</li><li>`team`: Queue team members.</li><li>`workflows`: Queue workflows and their issue types.</li><li>`fields`: Required queue fields.</li><li>`notification_fields`: Queue issue notification fields.</li><li>`issue_types_config`: Queue issue settings.</li><li>`enabled_feaures`: Queue integration settings.</li><li> `signature_settings`: Information about the queue mailbox, i.e., address, alias, and signature.</li></ul> | String |

{% endcut %}

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains information about the project in JSON format.
    ```json
    [
        {
            "self": "https://api.tracker.yandex.net/v3/queues/ORG",
            "id": 1,
            "key": "ORG",
            "version": 6,
            "name": "Default",
            "description": "Default queue description (ORG)",
            "lead": {
                "self": "https://api.tracker.yandex.net/v3/users/78********",
                "id": "78********",
                "display": "Tracker robot"
            },
            "assignAuto": false,
            "defaultType": {
                "self": "https://api.tracker.yandex.net/v3/issuetypes/2",
                "id": "2",
                "key": "task",
                "display": "Issue"
            },
            "defaultPriority": {
                "self": "https://api.tracker.yandex.net/v3/priorities/3",
                "id": "3",
                "key": "normal",
                "display": "Normal"
            },
            "allowExternalMailing": true,
            "addIssueKeyInEmail": true,
            "denyVoting": false,
            "denyConductorAutolink": false,
            "denyTrackerAutolink": true,
            "useComponentPermissionsIntersection": false,
            "useLastSignature": false
        },
        {
            "self": "https://api.tracker.yandex.net/v3/queues/TEST",
            "id": 3,
            "key": "TEST",
            "version": 8,
            "name": "Testing",
            "description": "Testing queue description (TEST)",
            "lead": {
                "self": "https://api.tracker.yandex.net/v3/users/12********",
                "id": "12********",
                "display": "Full name"
            },
            "assignAuto": true,
            "defaultType": {
                "self": "https://api.tracker.yandex.net/v3/issuetypes/2",
                "id": "2",
                "key": "task",
                "display": "Issue"
            },
            "defaultPriority": {
                "self": "https://api.tracker.yandex.net/v3/priorities/3",
                "id": "3",
                "key": "normal",
                "display": "Normal"
            },
            "allowExternalMailing": false,
            "addIssueKeyInEmail": false,
            "denyVoting": false,
            "denyConductorAutolink": false,
            "denyTrackerAutolink": false,
            "useComponentPermissionsIntersection": false,
            "useLastSignature": false
        }
    ]
    ```

   {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource with information about the queue. | String |
    | id | Queue ID. | Number |
    | key | Queue key. | String |
    | version | Queue version. Each change to the queue increases its version number. | String |
    | name | Queue name | String |
    | description | Text description of the queue | String |
    | lead | Block with information about the queue owner | Map item |
    | assignAuto | Flag indicating that new issues in the queue are assigned automatically:<ul><li>`true`: Assign.</li><li>`false`: Do not assign.</li></ul> | Boolean |
    | defaultType | Block with information about the default issue type | Map item |
    | defaultPriority | Block with information about the default issue priority | Map item |
    | allowExternalMailing | Flag that indicates if emails to external addresses are allowed:<ul><li>`true`: Enable.</li><li>`false`: Disable.</li></ul> | Boolean |
    | addIssueKeyInEmail | Flag that indicates if the issue number is added to the email subject:<ul><li>`true`: Add.</li><li>`false`: Do not add.</li></ul> | Boolean |
    | denyVoting | Flag that indicates if voting for issues is allowed:<ul><li>`true`: Voting disabled.</li><li>`false`: Voting enabled. </li></ul> | Boolean |
    | denyConductorAutolink | Service parameter | Boolean |
    | denyTrackerAutolink | Flag that indicates whether to add an automatic link to issues in other queues:<ul><li>`true`: Add a link.</li><li>`false`: Do not add a link if the key of an issue from another queue is added to the comment or description.</li></ul> | Boolean |
    | useComponentPermissionsIntersection | The method of getting access rights to issues with multiple components:<ul><li>`true`: As an overlap of component access rights.</li><li>`false`: As a combination of component access rights.</li></ul> | Boolean |
    | useLastSignature | Service parameter | Boolean |

    `lead` **object fields**

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | Number |
    | display | Displayed user name | String |

    `defaultType` **object fields**

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource with information about the issue type. | String |
    | id | Issue type ID | Number |
    | key | Issue type key. | String |
    | display | Issue type name displayed. | String |

    `defaultPriority` **object fields**

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource with information about the issue priority. | String |
    | id | Issue priority ID. | Number |
    | key | Issue priority key. | String |
    | display | Issue priority name displayed. | String |

    {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/_includes/api/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/_includes/api/answer-error-400.md -->

    <!-- source: en/_includes/api/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/_includes/api/answer-error-401.md -->

    <!-- source: en/_includes/api/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/_includes/api/answer-error-403.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}